<template>

    <img :src="route('images.cache', { template: 'small', filename: imageSource })"
         @load="showImage = true">

</template>

<script>

    export default {

        data() {

            return {

                showImage: false,

                imageSource: this.src,

                borderStyle: {
                    border: 'thin solid #716aca'
                }
            }
        },

        props: {

            src: { type: String },
        }
    }

</script>